<?php


/**
 * Displays the WP Email Capture Form
 *
 * @param  string 	$error 		The error message
 * @return void
 */
function wp_email_capture_form( $error = "" ) {

	$url    = get_option('home');
	$url    = trailingslashit($url);
	$uniqid = uniqid('wpec-class');

	?>
	<div id="wp_email_capture" class="wp-email-capture wp-email-capture-widget wp-email-capture-widget-worldwide">
		<form name="wp_email_capture" class="<?php echo $uniqid; ?>"  method="post" action="<?php echo $url; ?>">

			<?php

			if ( isset( $_GET['wp_email_capture_error'] ) ) {

				$error = esc_attr( $_GET['wp_email_capture_error'] );

				echo "<div class='wp-email-capture-error'>".__('Error:','wp-email-capture'). " " .$error ."</div>";

			}

			?>

			<label class="wp-email-capture-name wp-email-capture-label wp-email-capture-widget-worldwide wp-email-capture-name-widget wp-email-capture-name-label wp-email-capture-name-label-widget<?php if (get_option("wp_email_capture_name_required") == 1 ) { $display .= " wp-email-capture-required"; } ?>" for="wp-email-capture-name-widget"><?php _e('Name:','wp-email-capture'); ?></label> <input name="wp-email-capture-name" id="wp-email-capture-name-widget" type="text" class="wp-email-capture-name wp-email-capture-input wp-email-capture-widget-worldwide wp-email-capture-name-widget wp-email-capture-name-input wp-email-capture-name-input-widget" title="Name" /><br/>

			<label class="wp-email-capture-email wp-email-capture-label wp-email-capture-widget-worldwide wp-email-capture-email-widget wp-email-capture-email-label wp-email-capture-email-label-widget"  for="wp-email-capture-email-widget"><?php _e('Email:','wp-email-capture'); ?></label> <input name="wp-email-capture-email" id="wp-email-capture-email-widget" type="text" class="wp-email-capture-email wp-email-capture-input wp-email-capture-widget-worldwide wp-email-capture-email-widget wp-email-capture-email-input wp-email-capture-email-input-widget" title="Email" /><br/>

			<?php do_action( 'wp_email_capture_form_echo_form_before_submit_button' ); ?>

			<input type="hidden" name="wp_capture_action" value="1" />

			<?php

			if ( get_option( 'wp_email_capture_recaptcha_client_api_key' ) && get_option( 'wp_email_capture_recaptcha_server_api_key' ) ) {
				$site_key = get_option( 'wp_email_capture_recaptcha_client_api_key' );
				?>
				<button class="g-recaptcha invisible-recaptcha" data-id="<?php echo $uniqid; ?>" data-sitekey="<?php echo esc_attr( $site_key );?> "><?php _e('Submit','wp-email-capture'); ?></button>
				<?php
			} else {
				?>
				<input name='Submit' type='submit' value='<?php _e('Submit','wp-email-capture'); ?>' class="wp-email-capture-submit wp-email-capture-widget-worldwide" />
			<?php
			}
			?>

		</form>

	</div>

	<?php if ( get_option( "wp_email_capture_link" ) == 1) {

		echo "<p style='font-size:10px;'>".__('Powered by','wp-email-capture')." <a href='https://www.wpemailcapture.com/' target='_blank'>WP Email Capture</a></p>\n";

	}

}


/**
 * Build the WP Email Capture Form - used for shortcodes.
 *
 * @param  array  	$atts 	Any attributes included in the shrotcode.
 * @param  string 	$error 	The error message
 * @return string         	The built form.
 */
function wp_email_capture_form_page( $atts, $error = "") {

	$url = get_option('home');
	$url = trailingslashit($url);
	$uniqid = uniqid('wpec-class');
	$display = "";
	$display .= "<div id='wp_email_capture_2' class='wp-email-capture wp-email-capture-display'><form id='wpec_form' class='" . $uniqid . "' name='wp_email_capture_display' method='post' action='" . $url ."'>\n";

	if ( isset( $_GET['wp_email_capture_error'] ) ) {

		$error = esc_attr($_GET['wp_email_capture_error']);

		$display .= "<div class='wp-email-capture-error'>" . __( 'Error:', 'wp-email-capture' ). ' ' . $error . '</div>';

	}

	$display .= "<label class='wp-email-capture-name wp-email-capture-label wp-email-capture-display-worldwide wp-email-capture-name-display wp-email-capture-name-label wp-email-capture-name-label-display";

	if (get_option("wp_email_capture_name_required") == 1) { $display .= " wp-email-capture-required"; }

	$display .= "' for='wp-email-capture-name-display'>".__('Name:','wp-email-capture')."</label> <input name='wp-email-capture-name' id='wp-email-capture-name-display' type='text' class='wp-email-capture-name wp-email-capture-label wp-email-capture-display-worldwide wp-email-capture-name-display wp-email-capture-name-input wp-email-capture-name-input-display' title='Name' /><br/>\n";

	$display .= "<label class='wp-email-capture-email wp-email-capture-label wp-email-capture-display wp-email-capture-email-display wp-email-capture-email-label wp-email-capture-email-label-display' for='wp-email-capture-email-display'>".__('Email:','wp-email-capture')."</label> <input name='wp-email-capture-email' id='wp-email-capture-email-display' type='text' class='wp-email-capture-email wp-email-capture-input wp-email-capture-display wp-email-capture-email-display wp-email-capture-email-input wp-email-capture-email-input-display' title='Email' /><br/>\n";

	$display .= "<input type='hidden' name='wp_capture_action' value='1' />\n";

	/* if ( 'invisible' == get_option( 'wp_email_capture_recaptcha_api_type' ) ) {
		$site_key = get_option( 'wp_email_capture_recaptcha_client_api_key' );
		$uniqid   = uniqid();
		$display .= '<div id="wpecRe' . $uniqid . '"></div>';
		$display .= "<button class='g-recaptcha invisible-recaptcha' data-id='wpecRe" . $uniqid . "' data-sitekey='" . $site_key . "'>".__('Submit','wp-email-capture')."</button>";
	} else {
		$display .= "<input name='Submit' type='submit' value='".__('Submit','wp-email-capture')."' class='wp-email-capture-submit' />";
	} */

	if ( get_option( 'wp_email_capture_recaptcha_client_api_key' ) && get_option( 'wp_email_capture_recaptcha_server_api_key' ) ) {
		$site_key = get_option( 'wp_email_capture_recaptcha_client_api_key' );
		$display .= "<button class='g-recaptcha invisible-recaptcha' data-id='" . $uniqid . "' data-sitekey='" . $site_key . "'>".__('Submit','wp-email-capture')."</button>";
	} else {
		$display .= "<input name='Submit' type='submit' value='".__('Submit','wp-email-capture')."' class='wp-email-capture-submit' />";
	}

	$display .= "</form></div>\n";

	if ( get_option( "wp_email_capture_link" ) == 1) {

		$display .= "<p style='font-size:10px;'>".__('Powered by','wp-email-capture')." <a href='https://www.wpemailcapture.com/' target='_blank'>WP Email Capture</a></p>\n";
	}

	$display = apply_filters( 'wp_email_capture_display_form', $display, $atts );

	return $display;

}


/**
 * Process the WP Email Capture Form, including any attributes
 * @return void
 */
function wp_email_capture_form_process_atts( $atts ) {
	return wp_email_capture_form_page( $atts );
}